Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.complexscripts.fonts
Class GlyphPositioningTable.DeviceTable

    java.lang.Object
      org.apache.fop.complexscripts.fonts.GlyphPositioningTable.DeviceTable

Enclosing class:
  GlyphPositioningTable

    public static class GlyphPositioningTable.DeviceTable

extends java.lang.Object

The `DeviceTable` class implements a positioning device table record, comprising adjustments to be made to scaled design units according to the scaled size.

Constructor Summary
`GlyphPositioningTable.DeviceTable(int startSize, int endSize, int[] deltas)` Instantiate a DeviceTable.

Method Summary
`int` | `findAdjustment(int fontSize)` Find device adjustment.
`int[]` | `getDeltas()`
`int` | `getEndSize()`
`int` | `getStartSize()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GlyphPositioningTable.DeviceTable

    public GlyphPositioningTable.DeviceTable(int startSize,
                                             int endSize,
                                             int[] deltas)

  Instantiate a DeviceTable.

  Parameters:
    `startSize` - the
    `endSize` - the ending (scaled) size
    `deltas` - adjustments for each scaled size

Method Detail

### getStartSize

    public int getStartSize()

  Returns:
    the start size

### getEndSize

    public int getEndSize()

  Returns:
    the end size

### getDeltas

    public int[] getDeltas()

  Returns:
    the deltas

### findAdjustment

    public int findAdjustment(int fontSize)

  Find device adjustment.

  Parameters:
    `fontSize` - the font size to search for
  Returns:
    an adjustment if font size matches an entry

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.